---
agentTools:
  projectIndex: https://docs.cancergenomicscloud.org/llms.txt
---

# Delete a project

projects/{project_owner}/{project}

This call deletes a project from the CGC. It can only be successfully made if you have admin status for the project.

[block:code]
{
  "codes": [
    {
      "code": "https://cgc-api.sbgenomics.com/v2/projects/{project_owner}/{project}",
      "language": "text",
      "name": "Path"
    }
  ]
}
[/block]

[block:callout]
{
  "type": "danger",
  "title": "Warning",
  "body": "Deleting a project completely erases the project and any of its related data from the CGC."
}
[/block]

[block:callout]
{
  "type": "success",
  "title": "Referring to your project",
  "body": "Note that `project_owner` is always case-sensitive, and that `project` is not the project's name but its short name. For full details of identifying objects using the API, please see the [API Overview](https://docs.cancergenomicscloud.org/docs/the-cgc-api)"
}
[/block]

\##Request

\###Example request

[block:code]
{
  "codes": [
    {
      "code": "DELETE /v2/projects/RFranklin/my-project HTTP/1.1\nHost: cgc-api.sbgenomics.com\nX-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74\n",
      "language": "http",
      "name": null
    },
    {
      "code": "curl  -s -H \"X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74\" -H \"content-type: application/json\" -X DELETE 'http://gc-api.sbgenomics.com//v2/projects/RFranklin/my-project'",
      "language": "curl",
      "name": "cURL"
    }
  ],
  "sidebar": true
}
[/block]

\###Header Fields

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Description",
    "0-0": "`X-SBG-Auth-Token`\n<span style=\"color:red\"><i>required</i></span>",
    "0-1": "Your CGC [authentication token](https://docs.cancergenomicscloud.org/docs/get-your-authentication-token).",
    "h-2": ""
  },
  "cols": 2,
  "rows": 1
}
[/block]

\###Path parameters

[block:parameters]
{
  "data": {
    "0-0": "`project`",
    "1-0": "`project_owner`",
    "h-0": "Name",
    "h-1": "Description",
    "0-1": "The [short name](http://docs.cancergenomicscloud.org/v1.0/docs/the-cgc-api#section-identifying-projects-users-apps-files-and-tasks) of the project you are deleting.",
    "1-1": "The owner of the project you are deleting."
  },
  "cols": 2,
  "rows": 2
}
[/block]

\##Response
[See a list of CGC-specific response codes that may be contained in the body of the response.](https://docs.cancergenomicscloud.org/docs/api-status-codes)

[block:code]
{
  "codes": [
    {
      "code": "HTTP/1.1 204 No Content\nDate: Tue, 29 Mar 2016 15:47:44 GMT\nConnection: close\n",
      "language": "json"
    }
  ],
  "sidebar": true
}
[/block]